#include <iostream>
#include <iomanip>
#include <cmath>
#include "CalcIntgrt.h"		//	積分用クラス型　AdaptiveGL の宣言

using namespace std;
using namespace myLib;

double knormal( double z ){
	return exp(-0.5 * z * z);
}

double Cum_Normal( double z ) {
	double p;
	double pi = atan(1.0) * 4.0;
	if (z == 0.0){
		p = 0.5;
	}else if(z > 0.0){
		AdaptiveGL agl;		//	積分用クラス型 AdaptiveGL のオブジェクト agl
		p = 0.5 + agl.integral( 0.0, z, knormal ) / sqrt(2.0 * pi);
	} else {
		AdaptiveGL agl;
		p = 0.5 - agl.integral( z, 0.0, knormal ) / sqrt(2.0 * pi);
	}

	return p;
}

int main(){
	while(true){
		cout << "z = ";
		double z;
		cin >> z;
		if(cin.fail()) break;
		double p = Cum_Normal( z );	//	p = Prob(X < z),  X ~ standard normal distribution
		cout << "p = " << fixed << setprecision(9) << p << endl;
	}

	return 0;
}
